Calls
Starting, reading, controlling and ending Calls, their events, transcripts and judgments.
| Operation | Summary | Scope | Released in | Phase 0 host |
|---|---|---|---|---|
GET /v1/calls | List the Calls of the key's environment | calls:read | 1.0.0 | served |
POST /v1/calls | Start a web Call or an outbound phone Call | calls:write | 1.0.0 | served |
GET /v1/calls/{call_id} | Read a Call with its Turn metrics | calls:read | 1.0.0 | served |
POST /v1/calls/{call_id}/answering-machine-label | Label what answered an outbound Call | calls:write | 1.50.0 | served |
POST /v1/calls/{call_id}/control | Send a control command to the live Session of a Call | calls:write | 1.49.0 | served |
POST /v1/calls/{call_id}/end | End a Call | calls:write | 1.19.0 | served |
GET /v1/calls/{call_id}/events | List the events of a Call | calls:read | 1.18.0 | served |
GET /v1/calls/{call_id}/judgments | List a Call's judgments | calls:read | 1.63.0 | served |
GET /v1/calls/{call_id}/stream | Open the events channel of a Call | calls:write | 1.49.0 | served |
GET /v1/calls/{call_id}/transcript | Read the transcript of a Call | transcripts:read | 1.0.0 | served |
GET /v1/calls/{call_id}/transfers/{transfer_id} | Read one transfer of a Call with its context note | transcripts:read | 1.50.0 | served |